package com.liang.service.impl;

import com.liang.entity.SysPostInfo;
import com.liang.dao.SysPostInfoDao;
import com.liang.service.SysPostInfoService;
import org.springframework.stereotype.Service;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageImpl;
import org.springframework.data.domain.PageRequest;

import javax.annotation.Resource;
import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * (SysPostInfo)表服务实现类
 *
 * @author makejava
 * @since 2023-02-27 17:14:56
 */
@Service("sysPostInfoService")
public class SysPostInfoServiceImpl implements SysPostInfoService {
    @Resource
    private SysPostInfoDao sysPostInfoDao;

    /**
     * 通过ID查询单条数据
     *
     * @param postId 主键
     * @return 实例对象
     */
    @Override
    public SysPostInfo queryById(Integer postId) {
        return this.sysPostInfoDao.queryById(postId);
    }

    /**
     * 分页查询
     *
     * @param sysPostInfo 筛选条件
     * @param pageRequest 分页对象
     * @return 查询结果
     */
    @Override
    public Page<SysPostInfo> queryByPage(SysPostInfo sysPostInfo, PageRequest pageRequest) {
        long total = this.sysPostInfoDao.count(sysPostInfo);
        return new PageImpl<>(this.sysPostInfoDao.queryAllByLimit(sysPostInfo, pageRequest), pageRequest, total);
    }

    @Override
    public List<SysPostInfo> getSysPostInfoList(Map<String, String> paraMap) {
        return sysPostInfoDao.getSysPostInfoList(paraMap);
    }


    /**
     * 新增数据
     *
     * @return 实例对象
     */
    @Override
    public SysPostInfo getSysPostInfo(Map<String, String> paraMap) {
        return this.sysPostInfoDao.getSysPostInfo(paraMap);
    }

    @Override
    public List<SysPostInfo> getSysPostInfo1(Map<String, String> paraMap) {
        return this.sysPostInfoDao.getSysPostInfo1(paraMap);
    }

    /**
     * 新增数据
     *
     * @param sysPostInfo 实例对象
     * @return 实例对象
     */
    @Override
    public int insert(SysPostInfo sysPostInfo) {

        // 获取本地时间
        Date date = new Date();
        sysPostInfo.setCreateTime(date);

        return this.sysPostInfoDao.insert(sysPostInfo);
    }

    /**
     * 修改数据
     *
     * @param sysPostInfo 实例对象
     * @return 实例对象
     */
    @Override
    public int update(SysPostInfo sysPostInfo) {
        return this.sysPostInfoDao.update(sysPostInfo);
    }

    /**
     * 通过主键删除数据
     *
     * @param postId 主键
     * @return 是否成功
     */
    @Override
    public boolean deleteById(Integer postId) {
        return this.sysPostInfoDao.deleteById(postId) > 0;
    }

    /**
     * 批量删除操作日志
     *
     * @param postIdList
     * @return
     */
    @Override
    public int batchDelete(List<Integer> postIdList) {

        return sysPostInfoDao.batchDelete(postIdList);
    }

    /**
     * 岗位数据
     *
     * @return
     */
    public List<SysPostInfo> list() {
        return this.sysPostInfoDao.list();
    }

    @Override
    public List<SysPostInfo> getPost(Map map) {
        return this.sysPostInfoDao.getPost(map);
    }


}
